Bug 165409 - [UPDATE] www/MT: update to 5.13
[UPDATE] www/MT: update to 5.13
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: scheidell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 05:10 UTC by takefu
Modified: 2012-03-15 20:18 UTC (History)
0 users

See Also:


Attachments
file.diff (14.65 KB, patch)
2012-02-23 05:10 UTC, takefu
no flags Details | Diff
file.diff (209 bytes, patch)
2012-02-23 05:10 UTC, takefu
no flags Details | Diff
MT.patch (15.80 KB, patch)
2012-03-09 02:19 UTC, takefu
no flags Details | Diff
MT.patch.sig (72 bytes, application/octet-stream)
2012-03-09 02:19 UTC, takefu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-02-23 05:10:05 UTC
- Update to 5.13
  http://www.movabletype.jp/documentation/mt5/release/513.html
  http://jvn.jp/jp/JVN70683217/
  http://jvn.jp/jp/JVN49836527/
  http://jvn.jp/jp/JVN92683325/
  http://jvn.jp/jp/JVN20083397/

- fix MASTER_SITES and any url

russian/MT is source file not found

Fix: --- www/MT.patch begins here ---
PORTNAME=	MT
-PORTVERSION=	5.12
+PORTVERSION=	5.13
 CATEGORIES?=	www
-MASTER_SITES?=	http://movabletype.org/downloads/stable/
+MASTER_SITES?=	http://www.movabletype.org/downloads/stable/
 DISTNAME?=	MTOS-${PORTVERSION}-en

 MAINTAINER?=	takefu@airport.fm
@@ -77,8 +77,8 @@
 .endif
 .endfor

-MT_DOCS_URL?=	http://movabletype.org/documentation/
-MT_UPGRADE_URL?=http://movabletype.org/documentation/upgrade/
+MT_DOCS_URL?=	http://www.movabletype.org/documentation/
+MT_UPGRADE_URL?=http://www.movabletype.org/documentation/installation/upgrade-movable-type.html

 .include <bsd.port.pre.mk>

--- russian/MT.patch begins here ---


COMMENT=	Russian localization of the MovableType publishing system

+FORBIDDEN=	source file not found
+
 PROJECTHOST=	movabletype
 MASTERDIR=	${.CURDIR}/../../www/MT
 MT_LANG=	${PKGNAMEPREFIX:S,-,,}
--- russian/MT.patch ends here ---

--------------030803050607050406040504
Content-Type: text/plain;
 name="=?ISO-2022-JP?B?GyRCRTpJVSVhJUMlOyE8JThJdBsoQg==?="
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0*=ISO-2022-JP''%1B%24%42%45%3A%49%55%25%61%25%43%25%3B%21%3C%25;
 filename*1*=%38%49%74%1B%28%42


--------------030803050607050406040504----BxvQeSN0I3a9jOOMthLC25pDW36kv4jBpBRe3P2U3RO41SN4
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN /usr/ports/www/MT/Makefile www/MT/Makefile
--- /usr/ports/www/MT/Makefile	2011-12-30 10:49:04.000000000 +0900
+++ www/MT/Makefile	2012-02-23 13:05:06.000000000 +0900
@@ -6,9 +6,9 @@
 #
Comment 1 Edwin Groothuis freebsd_committer 2012-02-23 05:10:23 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 scheidell freebsd_committer 2012-02-27 11:49:21 UTC
Patch got corrupted during upload.
Can you try to resend your patch to GNATS?, the patch as it shows up now 
is not usable.
-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 3 takefu 2012-03-09 02:19:00 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I do not think that it is broken.
I'll send a patch to make sure.


An inspection procedure.

% fetch -oMT.patch "http://www.freebsd.org/cgi/query-pr.cgi?pr=165409&f=raw"
% mkdir -p ports/russian/MT
% mkdir -p ports/www/MT
% mv MT.patch ports/
% cd ports/
% cp -Rpv /usr/ports/www/MT/ www/MT/
% cp -Rpv /usr/ports/russian/MT/ russian/MT/
% patch < MT.patch



Michael Scheidell $B$5$s$O=q$-$^$7$?(B (2012/02/27 20:49):
> Patch got corrupted during upload. Can you try to resend your patch to GNATS?, the patch as it shows up now is not usable.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk9ZaJMACgkQDhTDbHKepaEMugCgmgT+e5eKvZs2L+Wy1Wc6NoBO
sG4AoKOIYAIDyj1Jy4eypvXBdWnIELxZ
=m65P
-----END PGP SIGNATURE-----
Comment 4 scheidell freebsd_committer 2012-03-15 12:56:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 5 dfilter freebsd_committer 2012-03-15 19:34:04 UTC
scheidell    2012-03-15 19:33:51 UTC

  FreeBSD ports repository

  Modified files:
    www/MT               Makefile distinfo pkg-plist 
    russian/MT           Makefile 
  Log:
  - Update to 5.13
  - Update master sites
  - Mark russian/MT IGNORE=source file not found
  
  PR:             ports/165409
  Submitted by:   Takefu <takefu@airport.fm> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.7       +2 -0      ports/russian/MT/Makefile
  1.54      +4 -4      ports/www/MT/Makefile
  1.33      +8 -10     ports/www/MT/distinfo
  1.30      +169 -30   ports/www/MT/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 scheidell freebsd_committer 2012-03-15 20:18:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!